- name: Prepare cloud ops agent configuration file
  block:
    - name: Template cloud ops agent config
      local_action:
        module: ansible.builtin.template
        src: "{{ lookup('env', 'PWD') }}/environments/monitor/ops_agent.yaml.j2"
        dest: "{{ lookup('env', 'PWD') }}/environments/monitor/sidekiq.yaml"

- name: Setup Cloud Ops Agent
  become: true
  block:
    - name: Add Cloud Ops Agent
      include_role:
        name: googlecloudplatform.google_cloud_ops_agents
      vars:
        agent_type: ops-agent
        version: 2.*.*
        main_config_file: "{{ lookup('env', 'PWD') }}/environments/monitor/sidekiq.yaml"
